# BEGIN SourceDeps(oneline):
BuildRequires: perl(Date/Format.pm) perl(Error.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Slurp.pm) perl(File/stat.pm) perl(IO/LockedFile.pm) perl(LWP/Simple.pm) perl(Module/Signature.pm) perl(Set/Array.pm) perl(Test/More.pm) perl(Test/Signature.pm) perl(fields.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name Net-Whois-RegistryFusion
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: perform cacheable whois lookups using RegistryFusion XML API
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/I/IL/ILIAL/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This class does not do any XML parsing. You must create a subclass inheriting and extending the whois method 
where you can code the XML parsing using eg. XML::Simple. 
You must also implement the _getUsername, _getPassword, _getXmlpath methods.

The class does some basic on-disk caching of the raw xml retrieved from RegistryFusion.
The path to the cache is specified using _getXmlpath method.


%prep
%setup -n %module_name-%module_version
rm -f t/Net-Whois-RegistryFusion.t

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/N*

%changelog
* Mon Apr 21 2014 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

